Fetch Director Details API
This document highlights the Fetch Director Details API details.
API Description
Objective
The Fetch Director Details API retrieves the director details using the Director Identification Number(DIN).
| Input | Output |
|---|---|
| The eight-digit unique DIN. | The details of the director associated with the entered DIN. |
DIN is a unique Director identification number allotted by the Central Government to any person intending to be a director or an existing company director.
API URL
https://ind-engine.thomas.hyperverge.co/v1/fetchDirectorDetails
API Endpoint
fetchDirectorDetails
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
API Request Details
Method - POST
Headers
| Parameter | Mandatory or Optional | Description | Valid Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload. | multipart/form-data |
| appId | Mandatory | Application ID shared by HyperVerge | N/A. This is a unique value. |
| appKey | Mandatory | Application Key shared by HyperVerge | N/A. This is a unique value. |
| transactionId | Mandatory | Unique ID for the customer journey. | N/A. Any defined unique value mapped to a transaction in your business ecosystem. |
Inputs
The following table provides the details of the parameters required for the API's request body:
| Parameter | Mandatory or Optional | Description | Allowed Values | Default Value |
|---|---|---|---|---|
consent | Mandatory | The user's consent, required as per compliance | "Yes" or "No" | Not Applicable |
reason | Mandatory | The reason for fetching the director's details | Not Applicable | Not Applicable |
id | Mandatory | The unique identifier for the director whose details are being fetched | Not Applicable | Not Applicable |
Request
The following code shows a standard curl request for the API.
curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/fetchDirectorDetails' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"consent": "<Enter_the_consent>",
"reason": "<Enter_the_reason>",
"id": "<Enter_the_ID>"
}'
Success Response
The following is a response for a valid request made to the API.
{
"status": "success",
"statusCode": "200",
"result": {
"code": 200,
"data": {
"llp_data": [
{
"end_date": "<End_Date>",
"llp_name": "<Company_Name>",
"designation": "Designated Partner",
"begin_date": "<Begin_Date>",
"llpin/fllpin": "<Company_LLP_Identification_Number>"
}
],
"company_data": [
{
"end_date": "-",
"company_name": "ROCK HONEY FILMS PRIVATE LIMITED",
"designation": "Director",
"begin_date": "16-11-2022",
"cin/fcrn": "U92132MH2022PTC393576"
}
],
"director_data": {
"din": "<Director_Identification_Number>",
"name": "<Director's_Name>"
}
},
"timestamp": <The_Timestamp>
}
}
Success Response Details
| Parameter | Type | Description |
|---|---|---|
| status | string | The status of the request |
| statusCode | string | The HTTP status code of the response |
| result | object | The result object containing response details |
| result.code | integer | The status code indicating the request outcome |
| result.data | object | The data object containing company and director information |
| result.data.llp_data | array | An array of LLP (Limited Liability Partnership) details |
| result.data.llp_data.end_date | string | The end date of the LLP association |
| result.data.llp_data.llp_name | string | The name of the LLP company |
| result.data.llp_data.designation | string | The designation of the individual in the LLP |
| result.data.llp_data.begin_date | string | The start date of the LLP association |
| result.data.llp_data.llpin/fllpin | string | The LLP identification number |
| result.data.company_data | array | An array of company details |
| result.data.company_data.end_date | string | The end date of the company association |
| result.data.company_data.company_name | string | The name of the company |
| result.data.company_data.designation | string | The designation of the individual in the company |
| result.data.company_data.begin_date | string | The start date of the company association |
| result.data.company_data.cin/fcrn | string | The company identification number |
| result.data.director_data | object | The object containing director information |
| result.data.director_data.din | string | The director identification number |
| result.data.director_data.name | string | The name of the director |
| timestamp | string | The timestamp of the response |
Failure Response
The following code snippet shows a failure response from the API.
{
"status": "failure",
"statusCode": "422",
"error": {
"code": 422,
"message": "No Relation data exists for the entered DIN",
"timestamp": <The_Timestamp>
}
}
Error Responses
The following code snippets show the error responses from the API.
- Missing Consent
- Invalid DIN
{
"status": "failure",
"statusCode": "422",
"error": {
"timestamp": <The_Timestamp>,
"message": "Invalid parameter: Consent is required.",
"code": 422
}
}
{
"status": "failure",
"statusCode": "422",
"error": {
"timestamp": <The_Timestamp>,
"message": "DIN Entered does not match MCA Records, Please enter a Valid DIN.",
"code": 422
}
}
Failure and Error Response Details
A failure or error response from the module contains a failure status, with a relevant status code and error message.
The following table lists all error responses:
| Error code | Error Message | Error Description |
|---|---|---|
| 422 | Invalid parameter: Consent is required. | The request does not have the mandatory consent parameter. |
| 422 | DIN Entered does not match MCA Records, Please enter a Valid DIN | The request does not have a valid DIN input. |
| 422 | No Relation data exists for the entered DIN | The API failed to retrieve any information against the DIN input. |